<?php
session_start();

if (!session_is_registered("clave_audio")) {
	include("../login.php");
	if (!$continuar) exit;
}

include('../db.php');

// si los campos de boesqueda est?n vac'os intento usar los que he guardado previamente en las cookies
$buscar_str = $_REQUEST['buscar'];
$marcas_str = $_REQUEST['marcas'];
$categorias_str = $_REQUEST['categorias'];


$longi = strlen($buscar_str) + strlen($marcas_str) + strlen($categorias_str);
if(!$longi) {
	if(isset($_COOKIE['clave_admin'])) {
	
		foreach ($_COOKIE['clave_admin'] as $name => $value) {
			switch($name){
				case 'buscar':
					$buscar_str = $value;
					break;
				case 'marcas':
					$marcas_str = $value;
					break;
				case 'categorias':
					$categorias_str = $value;
					break;
			}
		}
	}
} else {
	$time =  time() + 60 * 60 * 24 * 7;
	setcookie('clave_admin[buscar]', $buscar_str, $time);
	setcookie('clave_admin[marcas]', $marcas_str, $time);
	setcookie('clave_admin[categorias]', $categorias_str, $time);
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>productos</title>
<script language="javascript">function doBuscar(){document.buscador.submit();}</script>
<link href="../sformi.css" rel="stylesheet" type="text/css">
</head>
<body>
<!-- CONTENT -->
<form id="buscador" name="buscador" action="productos.php" method="post">
<table border="0" cellspacing="0" cellpadding="2">
	<tr>
	  <td width="200"><a href="productos_edit.php?op=add" class="button">[ a&ntilde;adir
	      producto ]</a>&nbsp;<a href="productos_foto.php" class="button">[ con foto ]</a></td>
      <td width="100" bgcolor="#FFFF99"><div align="right"><input name="buscar" type="text" id="buscar" maxlength="20" style="width:100px;" class="data"></div></td>
      <td width="130" bgcolor="#FFFF99"><div align="center"><select name="marcas" id="marcas" style="width:130px;" class="data">
            <option value=""  selected>Marcas</option>
            <?php include('menu_marcas.php'); ?>
      </select></div></td>
      <td width="130" bgcolor="#FFFF99"><div align="center"><select name="categorias" id="categorias" style="width:130px;" class="data">
            <option value="" selected>Categor&iacute;as</option>
            <?php include("../../categorias2.htm"); ?>
      </select></div></td>
      <td width="60" align="right" bgcolor="#FFFF99"><div align="center"><span class="button"><a href="javascript:doBuscar();" class="labels">[
              buscar ] </a></span></div></td>
    </tr>
	<tr><td colspan="5"><img src="../_imgs/d.gif" width="200" height="5"></td></tr>
 </table>
<table border="0" cellspacing="0" cellpadding="0">

<?php
$conn = db_connect();
if($conn) {
	$query = 'SELECT	prod_id, seccion_nombre, cat_nombre, fab_nombre, prod_modelo, prod_modelo, prod_precio
						FROM shoop_secciones, shoop_productos, shoop_fabricantes, shoop_categorias
						WHERE	cat_seccion=seccion_code AND prod_fab_id=fab_id AND prod_categoria_id=cat_codigo ' .  
								(strlen($buscar_str) > 0 ? ' AND prod_modelo LIKE "%' . $buscar_str . '%" ' : '') .
								(strlen($marcas_str) > 0 ? ' AND prod_fab_id=' . $marcas_str : '') .
								(strlen($categorias_str) > 0 ? ' AND prod_categoria_id="' . $categorias_str . '"' : '') . 
						' ORDER BY prod_categoria_id, fab_nombre, prod_modelo';

	$result = mysql_query($query, $conn);
//	$num_results = mysql_num_rows($result);
?>
	<tr>
		<td width="200" valign="top" class="hdr">Categor&iacute;a</td>
		<td width="100" valign="top" class="hdr">Marca</td>
		<td width="250" valign="top" class="hdr">Modelo</td>
		<td width="70" valign="top" class="hdr"><div align="right">Precio</div></td>
		<td valign="top" class="hdr">&nbsp;</td>
	</tr>
<?php
	$curSeccion='';
	while ($row = mysql_fetch_array($result))
	{
		$prod_id = $row['prod_id'];
		$prod_categoria = $row['cat_nombre'];
		$prod_fab_id = $row['fab_nombre'];
		$prod_modelo = $row['prod_modelo'];
		$prod_precio = $row['prod_precio'];
		$seccion_nombre = $row['seccion_nombre'];

		if($seccion_nombre != $curSeccion){
			$curSeccion = $seccion_nombre;
?>
		<tr>
			<td colspan="5" class="lbl"><?php echo $seccion_nombre; ?><img src="../_imgs/d.gif" width="15" height="20"></td></tr>
			
<?php
		}

?>
	<tr>
		<td width="160" valign="top" class="data">&nbsp;&nbsp;<?php echo substr($prod_categoria, 0, 25) . (strlen($prod_categoria) > 25 ? '...' : ''); ?></td>
		<td width="100" valign="top" class="data"><?php echo $prod_fab_id; ?></td>
		<td width="220" valign="top" class="data"><?php echo $prod_modelo; ?></td>
		<td width="70" valign="top" class="data" align="right"><?php echo ($prod_precio == -1 ? 'CONSULTAR' : number_format($prod_precio, 2, ',', '.')); ?></td>
		<td valign="top" class="data" >&nbsp;&nbsp;<a href="productos_edit.php?op=edit&id=<?php echo $prod_id; ?>" class="button">[ editar ]</a></td>
	</tr>
	<tr>
		<td bgcolor="#DBDEE6" colspan=5><img src="../_imgs/d.gif" width="5" height="1"></td>
	</tr>
<?php
	}	// while
} else {	// IF CONN
	echo '<p>An error has occurred while accessing the database: ' . mysql_error();
}	 
?>
</table>
<!-- END OF CONTENT -->
</form>
</body>
</html>
